%define ver 0.0.4
%define rel 11

Summary:	Utilities and LaTeX package for slide presentations using xdvik
Version: 	%ver
Release:	%rel
Name:		cct-slides
Group:		Applications/Publishing
Requires:	tetex tetex-fonts tetex-latex cct >= 0.5.0 xdvik >= 22.82
Source:		cct-slides.tar.bz2
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use
BuildRoot:	/var/tmp/cct-slides-root

%description

Utilities and a LaTeX package for slide presentations using xdvik under
Linux.

%prep
%setup -q -n cct-slides

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/cct \
	 $RPM_BUILD_ROOT/usr/bin \
	 $RPM_BUILD_ROOT/usr/share/doc/cct-slides
/bin/cp -af slides slides2pdf slides-browser slides-functions \
	$RPM_BUILD_ROOT/usr/bin/.
/bin/cp -af sample.tex bgblue*.jpg bgwhite*.jpg cctslides-toc-test.tex \
	$RPM_BUILD_ROOT/usr/share/doc/cct-slides/.
/bin/cp -af cctslides.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/cct/.

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash

%postun
texhash

%files
%defattr(-,root,root)
%{_prefix}/bin/slides
%{_prefix}/bin/slides2pdf
%{_prefix}/bin/slides-browser
%{_prefix}/bin/slides-functions
%{_prefix}/share/texmf/tex/cct/cctslides.sty
%{_prefix}/share/doc/cct-slides/sample.tex
%{_prefix}/share/doc/cct-slides/bgblue*.jpg
%{_prefix}/share/doc/cct-slides/bgwhite*.jpg
%{_prefix}/share/doc/cct-slides/cctslides-toc-test.tex

%changelog

* Sun Oct 10 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-11

  . /usr/bin/slides: chdir to the subdirectory of the dvifile by default,
    add '-keep_cwd' option.

* Sun Sep 19 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-10

  . /usr/bin/slides: move 'xset ...' to 'trap ...'

* Tue Aug 24 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-9

  . slides-browser: use the font 'monospace\ Bold\ 15*(scrwidth+0)/1024'
    for gvim

* Thu Aug 12 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-8

  . slides-browser: cast commands with 'sh -c ...' to allow shell expansions
    in the pathname ($HOME, ~, *, etc.)

* Sun Jul  4 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-7

  . 'slides': add '-keep_screensaver' option

  . 'slides-browser': use 'slides -keep_screensaver ...' to display slides

* Tue Jun 08 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-6

  . fix a bug in `cctslides-toc.sty': entries in TOC point to wrong pages

  . integrate `cctslides-toc.sty' into cctslides.sty and add 'toc' option

* Sun Jun 06 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-5

  . new file 'cctslides-toc.sty'

  . slides: add '-q' option to xdvi (requiring xdvik >= 22.82)

* Fri May 28 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-4

  . slides2pdf: fix a bug on line 8 ('aspect43' ==> 'aspect')

* Mon Apr 13 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4-3

  . cctslides.sty: set correct \pdfpagewidth, \pdfpageheight for PDFLaTeX
    (TODO: offset control).

- v0.0.4-2

  . cctslides.sty: add papersize specials (thus PDF file may be created
    directly, e.g., "dvipdfmx -x 0.25cm -y 0.25cm slides.dvi")

  . slides2pdf: change aspect ratio of the PDF papersize to 5:4, which
    seems better in fullscreen mode, and x_offset (resp. y_offset) is
    adjusted when enlarge paperwidth (resp. paperheight)

  . slides: append '+' in the argument of the '-paper' option to make xdvik
    ignore papersize specials in the dvi file.

  . slides: reassign mouse button 1 to do-href()unpause-or-next(),
    3 to up-or-previous(), 2 to htex-back().

    TODO: make do-href() short-circuit

* Sat Apr 03 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.4: 
  . slides-browser: convert Chinese characters (and some others) in URL
    to '%XX' form before passing them to mozilla (thus allowing Chinese
    characters to be used in the URL of \URL, URL*, \referto and \referto*)

  . slides-browser: convert filename in the URL to pass to mozilla to
    absolute pathname.

  . cctslides.sty: allow use of Chinese characters in \URL and \URL*

  . cctslides.sty: \clearpage moved before \addcontentsline in \@part to
    get hyperlink to correct page

  . cctslides.sty: redefine '\\' in '\l@part' and '\l@chapter' (thus using
    '\\' in '\part' and '\chapter' won't affect formating of TOC)

* Wed Nov 19 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- v0.0.3

* Thu Sep 25 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- cctslides.sty: new commands \mathcoloron, \mathcoloroff

- slides-browser: lines changing ' ' ==> '\ ' commented out

* Wed Sep 24 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides-browser: adds '-fixed-vo' option to mplayer and redirect stdin/out to
  /dev/null to allow running `slides' without a control terminal.

- cctslides.sty: adds \URL command and allows using any characters other than
  '{' and '}' in the URL argument.

* Tue Sep  9 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: use bgblue.jpg as default background for blue bg slides

* Sun Sep  7 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: changed papersize to screensize-2 for xdvik-22.77.1

* Mon Sep  1 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: offsets/papersize calculations revised (more accurate centering
  of contents on the screen).
  
  deleted '-bbox' option, added '-margin #' option

- slides-browser: bug fix ('/usr/bin/xdvi sample.dummy' didn't work)

* Tue Aug 26 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: allow to use arbitrary magnification/resolution (may not work
  with pk fonts).

* Thu Aug 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- cctslides.sty: change color for rmfamily to black for white bg

- slides-browser: use gvim as the default file browser
  (the GTK2 version of gvim (>= 6.2) is required)

- slides, slides2pdf: add '-bbox' option.

* Thu Jul 17 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Created the RPM package.
